%define         major       0
%define         libname     %mklibname pslib %{major}
%define         develname   %mklibname pslib -d

%define         docfiles    AUTHORS COPYING ChangeLog README

Name:           pslib
Summary:        A C-library for generating multi-pages PostScript documents
Version:        0.4.5
Release:        %mkrel 2
License:        GPLv2
Group:          System/Libraries

URL:            http://pslib.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/pslib/pslib-%{version}.tar.gz


Provides:       %libname = %{version}-%{release}

BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  glib2-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libungif-devel
BuildRequires:  libtiff-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  docbook-to-man
BuildRequires:  docbook-utils

%description
%{summary}.


%package -n     %{libname}
Summary: %{summary}
Group: %{group}

%description -n %{libname}
Pslib is a C-library for generating multi page PostScript documents. There are
functions for drawing lines, arcs, rectangles, curves, etc. Pslib also provides
very sophisticated functions for text output including hyphenation and kerning.



%package -n     %{develname}
Summary:        Static library and header files for the PSlib library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
%{summary}.



%prep
%setup -q -n %{name}-%{version}
chmod 644 %docfiles


%build
autoreconf -fi
%configure2_5x
%make CFLAGS="%optflags -lm"


%install
rm -rf %{buildroot}
%makeinstall_std


find %{buildroot}%{_libdir} -name *.la -delete
%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc %docfiles
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man3/*


%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/libps
%{_includedir}/libps/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*



%changelog

* Fri Dec 23 2011 fwang <fwang> 0.4.5-2.mga2
+ Revision: 186422
- rebuild for new libtiff

* Fri Dec 09 2011 eatdirt <eatdirt> 0.4.5-1.mga2
+ Revision: 179621
- Upgrade to 0.4.5, .la files removed, specfile cleaned

  + obgr_seneca <obgr_seneca>
    - removed la files

* Tue Sep 20 2011 fwang <fwang> 0.4.1-7.mga2
+ Revision: 146006
- fix build with libpng 1.5
- rebuild for new libpng

* Mon Feb 07 2011 spuhler <spuhler> 0.4.1-6.mga1
+ Revision: 48226
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package pslib

